
pausa <- function() readline(prompt="premi Invio per continuare")

dati <- read.csv("caduta_in_aria_t-x.csv")
cat(sprintf("lette %d istanze di %d variabili\n", dim(dati)[1], dim(dati)[2]))
n = dim(dati)[1]
print(summary(dati)) 
plot(dati)
pausa()

t = dati$t
x = dati$x
plot(t, x, col='blue')
pausa()

dt = t[2] - t[1]
cat(sprintf("dt = %f s\n", dt))

# velocità nei centri degli intervallini:
v = ( x[2:n] - x[1:(n-1)] ) / dt
nv = length(v)

plot(t[2:n]-dt/2, v, xlab='t (s)', col='cyan')
pausa()

# accelerazione per t[2], t[3], fino a t[n-1]
a = ( v[2:nv] - v[1:(nv-1)] ) / dt
na = length(a)
plot(t[2:(n-1)], a, xlab='t (s)', col='red')


