#include <stdio.h>
#include <math.h>

#define NMAX   1000
#define NPRINT 10

int main() {
  int i, nPunti;
  float t, dt, x;
  FILE *fp, *fb;
 
  struct Posizione {
    float t;
    float x;
  };
  struct Posizione pos[NMAX];

  fb = fopen("caduta_in_aria_t-x.bin", "r");
  nPunti = fread(pos, sizeof(struct Posizione), NMAX, fb);
  fclose(fb);

  printf("Letti %d punti contenenti\n", nPunti); 

  // NOTA: servirebbero dei controlli di sicurezza su NPRINT<nPunti, etc.
  // ma assumiamo di conoscere nPunti da una rapida lettura preliminare
  for (i=0; i<NPRINT; i++) {
    printf("i = %3d,  t = %f,  x = %f\n", i, pos[i].t, pos[i].x); 
  }
  puts(".....................................");
  puts(".....................................");
  for (i=(nPunti-NPRINT); i<nPunti; i++) {
    printf("i = %3d,  t = %f,  x = %f\n", i, pos[i].t, pos[i].x); 
  }
  	 
  fp = fopen("caduta_in_aria_t-x.csv", "w");
  fprintf(fp, "%s, %s\n", "t", "x");
  for (i=0; i<nPunti; i++) {
    fprintf(fp, "%f, %f\n", pos[i].t, pos[i].x); 
  }  
  fclose(fp);
  
  return 0;
}
