#include <stdio.h>
#include <stdlib.h>


int MCD(int a, int b) {
  int r;
  while( (r = b % a) != 0 ) {
  printf("a, b, r: %d %d %d\n", a, b, r);
    b = a;
    a = r;
  }
  return(a);
}

// altra possibilità: funzione ricorsiva
int MCDr(int a, int b) {
  int r;
  r = b % a;
  printf("a, b, r: %d %d %d\n", a, b, r);
  if(r) {
    MCDr (r, a);
  } else {  
    return(a);
  }
}

int main(int argc, char *argv[]) {
  int a, b, tmp;
  
  if (argc < 3) {
    printf("Devi dare due numeri interi positivi! \n Riprova\n");
    return 0;
  }
  a = atoi(argv[1]);
  b = atoi(argv[2]);
  if (a <= 0 || b <= 0) {
    printf("Devi dare due numeri interi positivi! \n Riprova\n");
    return 0;
  }
  if (a > b) {
    tmp = a;
    a = b;
    b = tmp;
  }

  printf("[while] MCD(%d,%d) = %d\n\n", a, b, MCD(a,b));
  printf("[ricorsione] MCDr(%d,%d) = %d\n", a, b, MCDr(a,b));  
  return 0;
}
